summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Campbell <zlg@gentoo.org>2017-02-23 17:05:58 -0800
committerDaniel Campbell <zlg@gentoo.org>2017-02-23 17:05:58 -0800
commitfb2addc500dcfa1c7f7125aaaf63145a47a69a19 (patch)
treecba7d696694183fa3eb7d0642ca2b739ae97d788 /net-im/toxic
parentsci-libs/shapelib: ppc ppc64 stable (bug 610428). (diff)
downloadgentoo-fb2addc500dcfa1c7f7125aaaf63145a47a69a19.tar.gz
gentoo-fb2addc500dcfa1c7f7125aaaf63145a47a69a19.tar.bz2
gentoo-fb2addc500dcfa1c7f7125aaaf63145a47a69a19.zip
net-im/toxic: correct dependency wrt bug 610570
Gentoo-Bug: 610570 Gentoo-Bug-URL: https://bugs.gentoo.org/610570 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-im/toxic')
-rw-r--r--net-im/toxic/toxic-0.7.2-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/net-im/toxic/toxic-0.7.2-r1.ebuild b/net-im/toxic/toxic-0.7.2-r1.ebuild
new file mode 100644
index 00000000000..27b588f5897
--- /dev/null
+++ b/net-im/toxic/toxic-0.7.2-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A curses-based client for Tox."
+HOMEPAGE="https://github.com/JFreegman/toxic"
+SRC_URI="https://github.com/JFreegman/toxic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+X +av notifications"
+
+RDEPEND="
+ net-libs/tox:0/0.1[av?]
+ dev-libs/libconfig
+ media-gfx/qrencode
+ net-misc/curl
+ sys-libs/ncurses:0=
+ av? ( media-libs/openal media-libs/freealut )
+ notifications? ( x11-libs/libnotify )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ if ! use av; then
+ export DISABLE_AV=1
+ export DISABLE_SOUND_NOTIFY=1
+ fi
+ if ! use X; then
+ export DISABLE_X11=1
+ fi
+ if ! use notifications; then
+ export DISABLE_DESKTOP_NOTIFY=1
+ fi
+ sed -i \
+ -e "s,/usr/local,${EPREFIX}/usr,g" \
+ cfg/global_vars.mk || die "PREFIX sed failed"
+}
+
+src_install() {
+ default
+ if ! use av; then
+ rm -r "${ED%/}"/usr/share/${PN}/sounds || die "Could not remove sound dir"
+ fi
+}